Patcher issue
#1
i've already have played the game multiple times before until today when i start the patcher immediditly an error pops up saying Version mismatch: your client is not updated to the lastest verison patch the lastest files and try again. it wont let me access the patcher i click try again same error pos up how do i fix it  

http://imgur.com/pJ9gGG7 image
Reply
#2
Never mind i fixed after uninstalling and reinstalling the game
Reply
#3
Well, you didn't need to uninstall your game, just update the game first (before running the patch), go back to the english patch when it's done, click "Get latest translations & patch", wait and you're done.
Reply


Soul Worker Information
Stamina Reset: 10 AM JST
» Other Timezones: 6PM PDT | 9PM EDT

Major Updates
» Character Rebalance
» Cultivation System
» Golden Citadel

Latest Patch Notes
» Patch Notes 6/15

Latest Trailer
» Animation Short 5

Latest Events
» View All Events

Chat with Soul Worker HQ


 Full Chat

Users browsing this thread:
1 Guest(s)

Share Thread
Facebook   Twitter

Thread Tools
 Subscribe to this thread
 View a Printable Version
 Send thread to a friend

Advertisements